#ifndef UPDATE_COMMAND_H_INCLUDED
#define UPDATE_COMMAND_H_INCLUDED

#include "process/command.h"

class Worker;
class UpdateCommand : public Command {
public:
    explicit UpdateCommand(QString const &command,
                           Worker *worker,
                           int start_timeout = 100000,
                           int finish_timeout = 100000);

    virtual bool stopUpdateOnFailure();

private slots:
    virtual void finished(int exitCode, QProcess::ExitStatus exitStatus) override;
};

#endif // UPDATE_COMMAND_H_INCLUDED
